USE /*DBNAME*/`aspera_stats_collector`/*DBNAME*/;

ALTER TABLE `fasp_files` ADD COLUMN `bytes_processed` bigint;
ALTER TABLE `fasp_files` MODIFY COLUMN `status` enum('RUNNING','COMPLETED','ERROR','UNKNOWN', 'TO_BE_VALIDATED', 'VALIDATING') NOT NULL;
ALTER TABLE `fasp_stats` MODIFY COLUMN `status` enum('RUNNING','PAUSED','COMPLETED','CANCELLED','ERROR','WILLRETRY','ORPHANED','UNKNOWN', 'VALIDATING') NOT NULL;

DELETE FROM `fasp_nodes`;
ALTER TABLE `fasp_nodes` DROP INDEX `idx_host_ip`;
ALTER TABLE `fasp_nodes` ADD COLUMN `user` varchar(255) NOT NULL;
ALTER TABLE `fasp_nodes` ADD COLUMN `user_type` varchar(255) NOT NULL;
ALTER TABLE `fasp_nodes` ADD UNIQUE KEY `idx_host_ip_user` (`host_ip`,`user`);
ALTER TABLE `sc_nodes_poll_config` ADD COLUMN `user_type` varchar(255);
